summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStephen Gallagher <sgallagh@redhat.com>2010-01-20 11:37:13 -0500
committerStephen Gallagher <sgallagh@redhat.com>2010-01-20 11:37:13 -0500
commite05a5197c4b578fda549b7aa6a5e79b59ae7e06d (patch)
treee8a517dc86449241c8a4f8e1ae0198023b93c62f
parentb9aad37c65b7c9c0bd4f6c1ef1a26f2c9dc3db29 (diff)
downloadbuild_tools-e05a5197c4b578fda549b7aa6a5e79b59ae7e06d.zip
build_tools-e05a5197c4b578fda549b7aa6a5e79b59ae7e06d.tar.gz
build_tools-e05a5197c4b578fda549b7aa6a5e79b59ae7e06d.tar.xz
Switch builds to RHEL6
-rwxr-xr-xsssd-nightly.sh217
1 files changed, 40 insertions, 177 deletions
diff --git a/sssd-nightly.sh b/sssd-nightly.sh
index bbb100f..1552f1d 100755
--- a/sssd-nightly.sh
+++ b/sssd-nightly.sh
@@ -91,210 +91,74 @@ autoreconf -i -f >> $LOGFILE 2>&1 || finish 1
make srpms >> $LOGFILE 2>&1 || finish 3
cd rpmbuild/SRPMS
-echo "===== BUILDING Fedora 12 i686 =====" >> $LOGFILE
-mock -r fedora-12-i386 sssd-$rpmversion.fc11.src.rpm >> $LOGFILE 2>&1 || failed=1
-if [ $failed ]; then
- cat /var/lib/mock/fedora-12-i386/result/build.log >> $LOGFILE
- finish 4
-fi
-
-echo "===== BUILDING Fedora 12 x86_64 =====" >> $LOGFILE
-mock -r fedora-12-x86_64 sssd-$rpmversion.fc11.src.rpm >> $LOGFILE 2>&1 || failed=1
-if [ $failed ]; then
- cat /var/lib/mock/fedora-12-x86_64/result/build.log >> $LOGFILE
- finish 5
-fi
-
-echo "===== CREATING Fedora 12 i686 YUM REPOSITORY ====" >> $LOGFILE
-mkdir -p $repodir/f12/SRPMS
-mkdir -p $repodir/f12/i386/DEBUGINFO
-mkdir -p $repodir/f12/i386/RPMS
-cp /var/lib/mock/fedora-12-i386/result/sssd-$rpmversion.fc12.src.rpm $repodir/f12/SRPMS
-cp /var/lib/mock/fedora-12-i386/result/sssd-debuginfo-$rpmversion.fc12.i686.rpm $repodir/f12/i386/DEBUGINFO
-cp /var/lib/mock/fedora-12-i386/result/sssd-$rpmversion.fc12.i686.rpm $repodir/f12/i386/RPMS
-cp /var/lib/mock/fedora-12-i386/result/sssd-client-$rpmversion.fc12.i686.rpm $repodir/f12/i386/RPMS
-
-createrepo $repodir/f12/SRPMS > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 12 SRPM Repo updated" >> $LOGFILE
-else
- echo "Fedora 12 SRPM Repo not updated" >> $LOGFILE
-fi
-
-
-createrepo $repodir/f12/i386/DEBUGINFO > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 12 i386 DEBUGINFO Repo updated" >> $LOGFILE
-else
- echo "Fedora 12 i386 DEBUGINFO Repo not updated" >> $LOGFILE
-fi
-
-createrepo $repodir/f12/i386/RPMS > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 12 i386 RPM Repo updated" >> $LOGFILE
-else
- echo "Fedora 12 i386 RPM Repo not updated" >> $LOGFILE
-fi
-
-echo "===== CREATING Fedora 12 x86_64 YUM REPOSITORY ====" >> $LOGFILE
-mkdir -p $repodir/f12/x86_64/DEBUGINFO
-mkdir -p $repodir/f12/x86_64/RPMS
-cp /var/lib/mock/fedora-12-x86_64/result/sssd-debuginfo-$rpmversion.fc12.x86_64.rpm $repodir/f12/x86_64/DEBUGINFO
-cp /var/lib/mock/fedora-12-i386/result/sssd-debuginfo-$rpmversion.fc12.i686.rpm $repodir/f12/x86_64/DEBUGINFO
-cp /var/lib/mock/fedora-12-x86_64/result/sssd-$rpmversion.fc12.x86_64.rpm $repodir/f12/x86_64/RPMS
-cp /var/lib/mock/fedora-12-x86_64/result/sssd-client-$rpmversion.fc12.x86_64.rpm $repodir/f12/x86_64/RPMS
-cp /var/lib/mock/fedora-12-i386/result/sssd-client-$rpmversion.fc12.i686.rpm $repodir/f12/x86_64/RPMS
-
-createrepo $repodir/f12/x86_64/DEBUGINFO > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 12 x86_64 DEBUGINFO Repo updated" >> $LOGFILE
-else
- echo "Fedora 12 x86_64 DEBUGINFO Repo not updated" >> $LOGFILE
-fi
-
-createrepo $repodir/f12/x86_64/RPMS > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 12 x86_64 RPM Repo updated" >> $LOGFILE
-else
- echo "Fedora 12 x86_64 RPM Repo not updated" >> $LOGFILE
-fi
-
-echo "===== BUILDING FEDORA 11 i586 =====" >> $LOGFILE
-mock -r fedora-11-i386 sssd-$rpmversion.fc11.src.rpm >> $LOGFILE 2>&1 || failed=1
-if [ $failed ]; then
- cat /var/lib/mock/fedora-11-i386/result/build.log >> $LOGFILE
- finish 4
-fi
-
-echo "===== BUILDING FEDORA 11 x86_64 =====" >> $LOGFILE
-mock -r fedora-11-x86_64 sssd-$rpmversion.fc11.src.rpm >> $LOGFILE 2>&1 || failed=1
-if [ $failed ]; then
- cat /var/lib/mock/fedora-11-x86_64/result/build.log >> $LOGFILE
- finish 5
-fi
-
-echo "===== CREATING FEDORA 11 i586 YUM REPOSITORY ====" >> $LOGFILE
-mkdir -p $repodir/f11/SRPMS
-mkdir -p $repodir/f11/i386/DEBUGINFO
-mkdir -p $repodir/f11/i386/RPMS
-cp /var/lib/mock/fedora-11-i386/result/sssd-$rpmversion.fc11.src.rpm $repodir/f11/SRPMS
-cp /var/lib/mock/fedora-11-i386/result/sssd-debuginfo-$rpmversion.fc11.i586.rpm $repodir/f11/i386/DEBUGINFO
-cp /var/lib/mock/fedora-11-i386/result/sssd-$rpmversion.fc11.i586.rpm $repodir/f11/i386/RPMS
-cp /var/lib/mock/fedora-11-i386/result/sssd-client-$rpmversion.fc11.i586.rpm $repodir/f11/i386/RPMS
-
-createrepo $repodir/f11/SRPMS > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 11 SRPM Repo updated" >> $LOGFILE
-else
- echo "Fedora 11 SRPM Repo not updated" >> $LOGFILE
-fi
-
-
-createrepo $repodir/f11/i386/DEBUGINFO > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 11 i386 DEBUGINFO Repo updated" >> $LOGFILE
-else
- echo "Fedora 11 i386 DEBUGINFO Repo not updated" >> $LOGFILE
-fi
-
-createrepo $repodir/f11/i386/RPMS > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 11 i386 RPM Repo updated" >> $LOGFILE
-else
- echo "Fedora 11 i386 RPM Repo not updated" >> $LOGFILE
-fi
-
-echo "===== CREATING FEDORA 11 x86_64 YUM REPOSITORY ====" >> $LOGFILE
-mkdir -p $repodir/f11/x86_64/DEBUGINFO
-mkdir -p $repodir/f11/x86_64/RPMS
-cp /var/lib/mock/fedora-11-x86_64/result/sssd-debuginfo-$rpmversion.fc11.x86_64.rpm $repodir/f11/x86_64/DEBUGINFO
-cp /var/lib/mock/fedora-11-i386/result/sssd-debuginfo-$rpmversion.fc11.i586.rpm $repodir/f11/x86_64/DEBUGINFO
-cp /var/lib/mock/fedora-11-x86_64/result/sssd-$rpmversion.fc11.x86_64.rpm $repodir/f11/x86_64/RPMS
-cp /var/lib/mock/fedora-11-x86_64/result/sssd-client-$rpmversion.fc11.x86_64.rpm $repodir/f11/x86_64/RPMS
-cp /var/lib/mock/fedora-11-i386/result/sssd-client-$rpmversion.fc11.i586.rpm $repodir/f11/x86_64/RPMS
-
-createrepo $repodir/f11/x86_64/DEBUGINFO > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 11 x86_64 DEBUGINFO Repo updated" >> $LOGFILE
-else
- echo "Fedora 11 x86_64 DEBUGINFO Repo not updated" >> $LOGFILE
-fi
-
-createrepo $repodir/f11/x86_64/RPMS > /dev/null
-if [ $? -eq 0 ]; then
- echo "Fedora 11 x86_64 RPM Repo updated" >> $LOGFILE
-else
- echo "Fedora 11 x86_64 RPM Repo not updated" >> $LOGFILE
-fi
-
-echo "===== BUILDING RHEL 5 i386 =====" >> $LOGFILE
+echo "===== BUILDING RHEL 6 i386 =====" >> $LOGFILE
cd /local/sgallagh/sssd-$datestamp/rpmbuild/SRPMS
mv sssd-$rpmversion.fc11.src.rpm \
- sssd-$rpmversion.el5.src.rpm
-mock -r epel-5-i386 sssd-$rpmversion.el5.src.rpm >> $LOGFILE 2>&1 || failed=1
+ sssd-$rpmversion.el6.src.rpm
+mock -r epel-6-i386 sssd-$rpmversion.el6.src.rpm >> $LOGFILE 2>&1 || failed=1
if [ $failed ]; then
- cat /var/lib/mock/epel-5-i386/result/build.log >> $LOGFILE
+ cat /var/lib/mock/epel-6-i386/result/build.log >> $LOGFILE
finish 6
fi
-echo "===== BUILDING RHEL 5 x86_64 =====" >> $LOGFILE
-mock -r epel-5-x86_64 sssd-$rpmversion.el5.src.rpm >> $LOGFILE 2>&1 || failed=1
+echo "===== BUILDING RHEL 6 x86_64 =====" >> $LOGFILE
+mock -r epel-6-x86_64 sssd-$rpmversion.el6.src.rpm >> $LOGFILE 2>&1 || failed=1
if [ $failed ]; then
- cat /var/lib/mock/epel-5-x86_64/result/build.log >> $LOGFILE
+ cat /var/lib/mock/epel-6-x86_64/result/build.log >> $LOGFILE
finish 7
fi
-echo "===== CREATING RHEL 5 i586 YUM REPOSITORY ====" >> $LOGFILE
-mkdir -p $repodir/rhel5/SRPMS
-mkdir -p $repodir/rhel5/i386/DEBUGINFO
-mkdir -p $repodir/rhel5/i386/RPMS
-cp /var/lib/mock/epel-5-i386/result/sssd-$rpmversion.el5.src.rpm $repodir/rhel5/SRPMS
-cp /var/lib/mock/epel-5-i386/result/sssd-debuginfo-$rpmversion.el5.i386.rpm $repodir/rhel5/i386/DEBUGINFO
-cp /var/lib/mock/epel-5-i386/result/sssd-$rpmversion.el5.i386.rpm $repodir/rhel5/i386/RPMS
-cp /var/lib/mock/epel-5-i386/result/sssd-client-$rpmversion.el5.i386.rpm $repodir/rhel5/i386/RPMS
+echo "===== CREATING RHEL 6 i586 YUM REPOSITORY ====" >> $LOGFILE
+mkdir -p $repodir/rhel6/SRPMS
+mkdir -p $repodir/rhel6/i386/DEBUGINFO
+mkdir -p $repodir/rhel6/i386/RPMS
+cp /var/lib/mock/epel-6-i386/result/sssd-$rpmversion.el6.src.rpm $repodir/rhel6/SRPMS
+cp /var/lib/mock/epel-6-i386/result/sssd-debuginfo-$rpmversion.el6.i386.rpm $repodir/rhel6/i386/DEBUGINFO
+cp /var/lib/mock/epel-6-i386/result/*.el6.i386.rpm $repodir/rhel6/i386/RPMS
+rm -f $repodir/rhel6/i386/RPMS/sssd-debuginfo-$rpmversion.el6.i386.rpm
-createrepo -s sha1 $repodir/rhel5/SRPMS > /dev/null
+createrepo --update -s sha1 $repodir/rhel6/SRPMS > /dev/null
if [ $? -eq 0 ]; then
- echo "RHEL5 SRPM Repo updated" >> $LOGFILE
+ echo "RHEL6 SRPM Repo updated" >> $LOGFILE
else
- echo "RHEL5 SRPM Repo not updated" >> $LOGFILE
+ echo "RHEL6 SRPM Repo not updated" >> $LOGFILE
fi
-createrepo -s sha1 $repodir/rhel5/i386/DEBUGINFO > /dev/null
+createrepo --update -s sha1 $repodir/rhel6/i386/DEBUGINFO > /dev/null
if [ $? -eq 0 ]; then
- echo "RHEL5 i386 DEBUGINFO Repo updated" >> $LOGFILE
+ echo "RHEL6 i386 DEBUGINFO Repo updated" >> $LOGFILE
else
- echo "RHEL5 i386 DEBUGINFO Repo not updated" >> $LOGFILE
+ echo "RHEL6 i386 DEBUGINFO Repo not updated" >> $LOGFILE
fi
-createrepo -s sha1 $repodir/rhel5/i386/RPMS > /dev/null
+createrepo --update -s sha1 $repodir/rhel6/i386/RPMS > /dev/null
if [ $? -eq 0 ]; then
- echo "RHEL5 i386 RPM Repo updated" >> $LOGFILE
+ echo "RHEL6 i386 RPM Repo updated" >> $LOGFILE
else
- echo "RHEL5 i386 RPM Repo not updated" >> $LOGFILE
+ echo "RHEL6 i386 RPM Repo not updated" >> $LOGFILE
fi
-echo "===== CREATING RHEL 5 x86_86 YUM REPOSITORY ====" >> $LOGFILE
-mkdir -p $repodir/rhel5/x86_64/DEBUGINFO
-mkdir -p $repodir/rhel5/x86_64/RPMS
-cp /var/lib/mock/epel-5-x86_64/result/sssd-debuginfo-$rpmversion.el5.x86_64.rpm $repodir/rhel5/x86_64/DEBUGINFO
-cp /var/lib/mock/epel-5-i386/result/sssd-debuginfo-$rpmversion.el5.i386.rpm $repodir/rhel5/x86_64/DEBUGINFO
-cp /var/lib/mock/epel-5-x86_64/result/sssd-$rpmversion.el5.x86_64.rpm $repodir/rhel5/x86_64/RPMS
-cp /var/lib/mock/epel-5-x86_64/result/sssd-client-$rpmversion.el5.x86_64.rpm $repodir/rhel5/x86_64/RPMS
-cp /var/lib/mock/epel-5-i386/result/sssd-client-$rpmversion.el5.i386.rpm $repodir/rhel5/x86_64/RPMS
+echo "===== CREATING RHEL 6 x86_86 YUM REPOSITORY ====" >> $LOGFILE
+mkdir -p $repodir/rhel6/x86_64/DEBUGINFO
+mkdir -p $repodir/rhel6/x86_64/RPMS
+cp /var/lib/mock/epel-6-x86_64/result/sssd-debuginfo-$rpmversion.el6.x86_64.rpm $repodir/rhel6/x86_64/DEBUGINFO
+cp /var/lib/mock/epel-6-i386/result/sssd-debuginfo-$rpmversion.el6.i386.rpm $repodir/rhel6/x86_64/DEBUGINFO
+cp /var/lib/mock/epel-6-x86_64/result/*.el6.x86_64.rpm $repodir/rhel6/x86_64/RPMS
+rm -f $repodir/rhel6/x86_64/RPMS/sssd-debuginfo-$rpmversion.el6.i386.rpm
+cp /var/lib/mock/epel-6-i386/result/sssd-client-$rpmversion.el6.i386.rpm $repodir/rhel6/x86_64/RPMS
-createrepo -s sha1 $repodir/rhel5/x86_64/DEBUGINFO > /dev/null
+createrepo --update -s sha1 $repodir/rhel6/x86_64/DEBUGINFO > /dev/null
if [ $? -eq 0 ]; then
- echo "RHEL5 x86_64 DEBUGINFO Repo updated" >> $LOGFILE
+ echo "RHEL6 x86_64 DEBUGINFO Repo updated" >> $LOGFILE
else
- echo "RHEL5 x86_64 DEBUGINFO Repo not updated" >> $LOGFILE
+ echo "RHEL6 x86_64 DEBUGINFO Repo not updated" >> $LOGFILE
fi
-createrepo -s sha1 $repodir/rhel5/x86_64/RPMS > /dev/null
+createrepo --update -s sha1 $repodir/rhel6/x86_64/RPMS > /dev/null
if [ $? -eq 0 ]; then
- echo "RHEL5 x86_64 RPM Repo updated" >> $LOGFILE
+ echo "RHEL6 x86_64 RPM Repo updated" >> $LOGFILE
else
- echo "RHEL5 x86_64 RPM Repo not updated" >> $LOGFILE
+ echo "RHEL6 x86_64 RPM Repo not updated" >> $LOGFILE
fi
echo "===== Removing Source Tree =====" >> $LOGFILE
@@ -309,9 +173,8 @@ echo "===== Cleaning old logs =====" >> $LOGFILE
find /local/sgallagh/logs -type f -daystart -ctime +6 -name "nightly-*.log" -exec rm -f {} \;
echo "===== Cleaning old RPMS =====" >> $LOGFILE
-find /local/sgallagh/repos/f11 -type f -daystart -ctime +6 -name "sssd-*" -exec rm -f {} \;
-find /local/sgallagh/repos/f12 -type f -daystart -ctime +6 -name "sssd-*" -exec rm -f {} \;
-find /local/sgallagh/repos/rhel5 -type f -daystart -ctime +6 -name "sssd-*" -exec rm -f {} \;
+find /local/sgallagh/repos/rhel6 -type f -daystart -ctime +6 -name "sssd-*" -exec rm -f {} \;
+find /local/sgallagh/repos/rhel6 -type f -daystart -ctime +6 -name "lib*" -exec rm -f {} \;
echo "===== BUILD CONCLUDED AT `date` =====" >> $LOGFILE